Managed Rancher
All operations require authentication.
Get managed Rancher eligibilityProduction
Returns whether the project is eligible for a managed Rancher free trial.
Path parameters
Project ID
Response
Whether the project is eligible for free trial for the Rancher product
Example uses projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ reference/ rancher/ eligibility \
-H "authorization: Bearer $OVH_TOKEN"{ "freeTrial": true}
List managed Rancher plansProduction
Returns the plans available for creating a managed Rancher service, with their status and the cause when a plan is unavailable.
Path parameters
Project ID
Headers
Pagination cursor
Pagination size
Response
Cause for an unavailability
CANNOT_DOWNGRADE_USING_HIGHER_FEATURESCANNOT_SWITCH_PLAN_FOR_ALPHANOT_IMPLEMENTEDHuman-readable description of the unavailability cause
Name of the plan
OVHCLOUD_EDITIONSTANDARDStatus of the plan
AVAILABLEUNAVAILABLEExample uses projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ reference/ rancher/ plan \
-H "authorization: Bearer $OVH_TOKEN"[ { "cause": "CANNOT_DOWNGRADE_USING_HIGHER_FEATURES", "message": "string", "name": "OVHCLOUD_EDITION", "status": "AVAILABLE" }]
List managed Rancher versionsProduction
Returns the versions available for creating a managed Rancher service, with their status, changelog URL and the cause when a version is unavailable.
Path parameters
Project ID
Headers
Pagination cursor
Pagination size
Response
Cause for an unavailability
CANNOT_UPGRADE_MULTIPLE_VERSIONSDEPRECATEDDISABLEDEND_OF_LIFEEND_OF_SALEEND_OF_SUPPORTChangelog URL of the version
Human-readable description of the unavailability cause
Name of the version
Status of the version
AVAILABLEUNAVAILABLEExample uses projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ reference/ rancher/ version \
-H "authorization: Bearer $OVH_TOKEN"[ { "cause": "CANNOT_UPGRADE_MULTIPLE_VERSIONS", "changelogUrl": "string", "message": "string", "name": "string", "status": "AVAILABLE" }]
List available plans for creating a managed Rancher serviceDeprecated
Deprecated since May 20, 2024, will be removed on Sep 1, 2024 — use /v2/publicCloud/project/{projectId}/reference/rancher instead.
Headers
Pagination cursor
Pagination size
Response
Cause for an unavailability
CANNOT_DOWNGRADE_USING_HIGHER_FEATURESCANNOT_SWITCH_PLAN_FOR_ALPHANOT_IMPLEMENTEDHuman-readable description of the unavailability cause
Name of the plan
OVHCLOUD_EDITIONSTANDARDStatus of the plan
AVAILABLEUNAVAILABLEReads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ reference/ rancher/ plan \
-H "authorization: Bearer $OVH_TOKEN"[ { "cause": "CANNOT_DOWNGRADE_USING_HIGHER_FEATURES", "message": "string", "name": "OVHCLOUD_EDITION", "status": "AVAILABLE" }]
List available versions for creating a managed Rancher serviceDeprecated
Deprecated since May 20, 2024, will be removed on Sep 1, 2024 — use /v2/publicCloud/project/{projectId}/reference/rancher instead.
Headers
Pagination cursor
Pagination size
Response
Cause for an unavailability
CANNOT_UPGRADE_MULTIPLE_VERSIONSDEPRECATEDDISABLEDEND_OF_LIFEEND_OF_SALEEND_OF_SUPPORTChangelog URL of the version
Human-readable description of the unavailability cause
Name of the version
Status of the version
AVAILABLEUNAVAILABLEReads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ reference/ rancher/ version \
-H "authorization: Bearer $OVH_TOKEN"[ { "cause": "CANNOT_UPGRADE_MULTIPLE_VERSIONS", "changelogUrl": "string", "message": "string", "name": "string", "status": "AVAILABLE" }]